Package com.sun.jna.platform.win32

# Class WinNT.TOKEN_OWNER

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.TOKEN_OWNER

Enclosing interface:
  WinNT

@FieldOrder("Owner") public static class WinNT.TOKEN_OWNER extends Structure
The TOKEN_OWNER structure contains the default owner security identifier (SID) that will be applied to newly created objects.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinNT.PSID.ByReference`
  `Owner`
  Pointer to a SID structure representing a user who will become the owner of any objects created by a process using this access token.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TOKEN_OWNER()`
  `TOKEN_OWNER(int size)`
  `TOKEN_OWNER(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Owner

    public WinNT.PSID.ByReference Owner
    Pointer to a SID structure representing a user who will become the owner of any objects created by a process using this access token. The SID must be one of the user or group SIDs already in the token.

- ## Constructor Details

  - ### TOKEN_OWNER

    public TOKEN_OWNER()

  - ### TOKEN_OWNER

    public TOKEN_OWNER(int size)

  - ### TOKEN_OWNER

    public TOKEN_OWNER(Pointer memory)